QGIS Application - Bug report #16014
Enabling actions in attribute table populates the first column with actions and hides values
2016-12-26 04:36 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:2.18.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 23929
Description

Select a layer (i use the airports.shp of the qgis sample data)

Add default actions in the layer properties and enable them in the attribute

In the attribute table: while a "Actions" column is added at the end of the table with the enabled actions, the first column "ID" also displays
these actions which therefore hide the real content of this column

Sometimes you need to resize the column width to have this artifact appear

Then, if you uncheck the "Actions widget" in the Organize columns dialog, the Actions column is removed but not the actions in the first
column until you close that attribute table dialog

QGIS 2.18.2 and master

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2018-02-23 05:24 PM - Harrissou Santanna
- Resolution set to fixed/implemented

- Status changed from Open to Closed
- Description updated

Fixed in both 2.18 and master
